 // Get Methoden um Metrics abzugreifen
 // Get Methden um Informationen über den Status des Servers einzuholen
 using System.Diagnostics;
using Microsoft.AspNetCore.Mvc;
using watcher_monitoring.Models;

using watcher_monitoring.Data;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace watcher_monitoring.Controllers;

[ApiController]
[Route("[controller]")]
public class APIController : Controller
{
    private readonly WatcherDbContext _context;

    private readonly ILogger<APIController> _logger;

    public APIController(WatcherDbContext context, ILogger<APIController> logger)
    {
        _context = context;
        _logger = logger;
    }

    [HttpPost("servers")]
     public async Task<IActionResult> Servers()
    {
        List<Server> servers = await _context.Servers.ToListAsync();
        return Ok();
    }


}